[tox]
isolated_build = True
envlist = py36

[testenv:tests]
deps = -rrequirements.txt
changedir = tests
commands =
    pytest --cov-report xml:../code-coverage.xml --cov=iac_deployer --junit-xml=../unit-tests.xml

[testenv:lint]
commands = flake8 --format=junit-xml --output-file=linting.xml
deps =
    flake8
    flake8_formatter_junit_xml

[flake8]
exclude =
    .git
    __pycache__
    .tox
    venv
